### Hierarchy

- String

## Index

### Methods

- anchor
- big
- blink
- bold
- codePointAt
- endsWith
- fixed
- fontcolor
- fontsize
- includes
- italics
- link
- normalize
- repeat
- small
- startsWith
- strike
- sub
- sup

## Methods

### anchor

- anchor(name: string): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:454

  Returns an HTML anchor element and sets the name attribute to the text value

  #### Parameters

  - ##### name: string

  #### Returns string

### big

- big(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:457

  Returns a HTML element

  #### Returns string

### blink

- blink(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:460

  Returns a HTML element

  #### Returns string

### bold

- bold(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:463

  Returns a HTML element

  #### Returns string

### codePointAt

- codePointAt(pos: number): number | undefined

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:402

  Returns a nonnegative integer Number less than 1114112 (0x110000) that is the code point value of the UTF-16 encoded code point starting at the string element at position pos in the String resulting from converting this object to a String. If there is no element at that position, the result is undefined. If a valid UTF-16 surrogate pair does not begin at pos, the result is the code unit at pos.

  #### Parameters

  - ##### pos: number

  #### Returns number | undefined

### endsWith

- endsWith(searchString: string, endPosition?: undefined | number): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:418

  Returns true if the sequence of elements of searchString converted to a String is the same as the corresponding elements of this object (converted to a String) starting at endPosition – length(this). Otherwise returns false.

  #### Parameters

  - ##### searchString: string

  - ##### Optional endPosition: undefined | number

  #### Returns boolean

### fixed

- fixed(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:466

  Returns a `HTML element`

  #### Returns string

### fontcolor

- fontcolor(color: string): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:469

  Returns a HTML element and sets the color attribute value

  #### Parameters

  - ##### color: string

  #### Returns string

### fontsize

- fontsize(size: number): string
- fontsize(size: string): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:472

  Returns a HTML element and sets the size attribute value

  #### Parameters

  - ##### size: number

  #### Returns string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:475

  Returns a HTML element and sets the size attribute value

  #### Parameters

  - ##### size: string

  #### Returns string

### includes

- includes(searchString: string, position?: undefined | number): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:411

  Returns true if searchString appears as a substring of the result of converting this object to a String, at one or more positions that are greater than or equal to position; otherwise, returns false.

  #### Parameters

  - ##### searchString: string

    search string

  - ##### Optional position: undefined | number

    If position is undefined, 0 is assumed, so as to search all of the String.

  #### Returns boolean

### italics

- italics(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:478

  Returns an HTML element

  #### Returns string

### link

- link(url: string): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:481

  Returns an HTML element and sets the href attribute value

  #### Parameters

  - ##### url: string

  #### Returns string

### normalize

- normalize(form: "NFC" | "NFD" | "NFKC" | "NFKD"): string
- normalize(form?: undefined | string): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:426

  Returns the String value result of normalizing the string into the normalization form named by form as specified in Unicode Standard Annex #15, Unicode Normalization Forms.

  #### Parameters

  - ##### form: "NFC" | "NFD" | "NFKC" | "NFKD"

    Applicable values: "NFC", "NFD", "NFKC", or "NFKD", If not specified default is "NFC"

  #### Returns string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:434

  Returns the String value result of normalizing the string into the normalization form named by form as specified in Unicode Standard Annex #15, Unicode Normalization Forms.

  #### Parameters

  - ##### Optional form: undefined | string

    Applicable values: "NFC", "NFD", "NFKC", or "NFKD", If not specified default is "NFC"

  #### Returns string

### repeat

- repeat(count: number): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:441

  Returns a String value that is made from count copies appended together. If count is 0, the empty string is returned.

  #### Parameters

  - ##### count: number

    number of copies to append

  #### Returns string

### small

- small(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:484

  Returns a HTML element

  #### Returns string

### startsWith

- startsWith(searchString: string, position?: undefined | number): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:448

  Returns true if the sequence of elements of searchString converted to a String is the same as the corresponding elements of this object (converted to a String) starting at position. Otherwise returns false.

  #### Parameters

  - ##### searchString: string

  - ##### Optional position: undefined | number

  #### Returns boolean

### strike

- strike(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:487

  Returns a HTML element

  #### Returns string

### sub

- sub(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:490

  Returns a HTML element

  #### Returns string

### sup

- sup(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:493

  Returns a HTML element

  #### Returns string

Generated using TypeDoc